$block: comments;

.#{$block} {
	z-index: 20;
	overflow: hidden;
	background: $red;
	position: relative;

	&__pattern {
		left: 160px;
		top: -85px;
		z-index: 1;
		width: 210px;
		position: absolute;
	}

	&__wrap {
		position: relative;
		padding-top: 100px;
	}

	&__red {
		color: $white;
		background: $red;
		position: relative;
		padding-bottom: 20px;
	}

	&__white {
		background: $white;
		position: relative;

		&:before {
			top: 0;
			bottom: 0;
			left: 100%;
			z-index: 1;
			content: '';
			width: 1000px;
			background: $white;
			position: absolute;
		}
	}

	&__header {
		width: 100%;
		position: relative;
		margin-bottom: 80px;
		font-family: $font-family-head;

		&--label {
			width: 70px;
			font-weight: 700;
			line-height: 120%;
			text-align: right;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			padding-left: 70px;
			font-size: font-size-rel(22px);
		}
	}

	&__nav {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	&__main {

	}

	&__item {
		line-height: 130%;
		font-size: font-size-rel(14px);
		position: relative;

		&--logo {
			width: 70px;
		}

		&--content {
			padding-left: 70px;
			padding-bottom: 45px;
		}

		&--text {
			margin-bottom: 30px;

			p {
				margin-bottom: 15px;

				&:last-child {
					margin-bottom: 0;
				}
			}
		}

		&--view {
			overflow: hidden;
		}

		&--link {
			color: $black;
			text-decoration: none;
			font-size: font-size-rel(14px);
			line-height: font-size-rel(20px);
			position: relative;
			display: inline-block;

			&:before {
				top: 50%;
				left: calc(100% + 20px);
				content: '';
				height: 1px;
				width: 1000px;
				background: $red;
				position: absolute;
			}

			&:hover {
				color: $black;
				text-decoration: none;
			}
		}

		&--author {
			display: flex;
			align-items: flex-start;
		}

		&--photo {
			width: 105px;
		}

		&--name {
			font-weight: 700;
			line-height: 120%;
			font-size: font-size-rel(16px);
			padding-left: 30px;
		}
	}

	&__button {
		position: relative;

		&:before {
			top: 50%;
			z-index: 1;
			width: 400px;
			height: 1px;
			content: '';
			background: $white;
			position: absolute;
		}


		&--prev {
			left: 0;

			&:before {
				right: calc(100% - 10px);
			}
		}

		&--next {
			right: 0;

			&:before {
				left: calc(100% - 10px);
			}
		}
	}

	&__link {
		z-index: 100;
		bottom: 35px;
		left: 0;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);
		color: $white;
		display: none;
		position: absolute;
		text-decoration: none;

		&:before {
			left: 0;
			height: 30px;
			top: calc(100% + 5px);
			content: '';
			width: 1px;
			background: $white;
			position: absolute;
			display: inline-block;
		}

		&:hover {
			color: $white;
			text-decoration: none;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__wrap {
			padding-top: 120px;
			display: flex;
			flex-direction: column;
		}

		&__header {

			&--label {
				width: 105px;
				margin-bottom: 30px;
				font-size: font-size-rel(18px);
			}

			&--title {
				padding-left: 105px;
				font-size: font-size-rel(30px);
			}
		}

		&__nav {
			width: 290px;
		}

		&__row {
			display: flex;
			flex-grow: 1;
		}

		&__red {
			z-index: 1;
			width: 50%;
			flex-shrink: 0;
			padding-bottom: 80px;
		}

		&__white {
			z-index: 10;
			width: 50%;
			flex-shrink: 0;
		}

		&__link {
			display: inline-block;
		}

		&__main {
			height: 100%;
			margin-right: -20px;
		}

		&__slider {
			height: 100%;
		}

		&__item {
			height: 100%;
			display: flex;
			flex-direction: column;

			&--content {
				flex-grow: 1;
				line-height: 130%;
				font-size: font-size-rel(16px);
				padding-right: 20px;
			}

			&--author {
				justify-content: flex-end;
			}

			&--photo {
				order: 2;
				width: 150px;
			}

			&--name {
				order: 1;
				text-align: right;
				padding: 0 40px 0 0;
			}

			&--view {
				font-size: font-size-rel(16px);
			}

			&--link {
				font-size: font-size-rel(16px);

				&:before {
					left: calc(100% + 40px);
				}
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&__wrap {
			min-height: 100vh;
			padding-top: 140px;
		}

		&__pattern {
			width: 480px;
			top: -195px;
		}

		&__header {
			margin-bottom: 80px;

			&--label {
				margin-bottom: 50px;
			}

			&--title {
				font-size: font-size-rel(40px);
			}
		}

		&__item {

			&--logo {
				width: 160px;
			}

			&--content {
				padding-left: 160px;
			}

			&--photo {
				width: 180px;
			}
		}
	}

	@media (min-width: $screen-lg-min) {

		&__header {
			padding-left: 75px;
		}
	}

	@media (min-width: $screen-xl-min) {


		&__wrap {
			padding-top: 190px;
		}

		&__red {
			display: flex;
			flex-direction: column;

			&--wrap {
				margin: auto 0;
			}
		}

		&__header {

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__item {

			&--content {
				width: 465px;
				display: flex;
				flex-direction: column;
			}

			&--wrap {
				margin: auto 0;
			}

			&--text {
				margin-bottom: 60px;
			}

			&--photo {
				width: 200px;
			}
		}
	}
}

